Package epydoc :: Package docwriter :: Module html_css

[hide private]
[frames] | no frames]

# Module html_css

source code

Predefined CSS stylesheets for the HTML outputter (epydoc.docwriter.html).

Functions | [hide private]

_set_colors(template, *dicts) | source code

`string`

_rv(match) Given a regexp match for a color, return the reverse-video version of that color. | source code

_darken_darks(match) | source code

Variables | [hide private]

| TEMPLATE = ``'``\n\n/* Epydoc CSS Stylesheet\n *\n * This styleshe``...``
| _COLOR_RE = `re.compile(r'#`(`..`)``(`..`)``(`..`)`')`
| _WHITE_COLORS = ``{``'``body_bg``'``:` `'``#ffffff``'``,` `'``body_fg``'``:` `'``#000000``'``,` `'``...``
| _BLUE_COLORS = ``{``'``body_bg``'``:` `'``#000070``'``,` `'``body_fg``'``:` `'``#ffffff``'``,` `'``b``...``
| _WHITE = ``'``\n\n/* Epydoc CSS Stylesheet\n *\n * This stylesheet``...``
| _BLUE = ``'``\n\n/* Epydoc CSS Stylesheet\n *\n * This stylesheet` `...``
| _GREEN = ``'``\n\n/* Epydoc CSS Stylesheet\n *\n * This stylesheet``...``
| _BLACK = ``'``\n\n/* Epydoc CSS Stylesheet\n *\n * This stylesheet``...``
| _GRAYSCALE = ``'``\n\n/* Epydoc CSS Stylesheet\n *\n * This styles``...``
`dictionary` from `string` to `(string, string)` | STYLESHEETS = ``{``'``black``'``:` `(``'``\n\n/* Epydoc CSS Stylesheet\n *\n *``...`` A dictionary mapping from stylesheet names to CSS stylesheets and descriptions.

Function Details | [hide private]

### _rv(match)

source code

Given a regexp match for a color, return the reverse-video version of that color.

Parameters:
  - `match` (`Match`) - A regular expression match.
Returns: `string`
  The reverse-video color.

Variables Details | [hide private]

### TEMPLATE

Value:

      '''

      /* Epydoc CSS Stylesheet
       *
       * This stylesheet can be used to customize the appearance of epydoc\'
      s
       * HTML output.
       *
      ...

### _WHITE_COLORS

Value:

      {'body_bg': '#ffffff',
       'body_fg': '#000000',
       'body_link': '#0000ff',
       'body_visited_link': '#204080',
       'doctest_bg': '#e8f0f8',
       'doctest_border': '1px solid #708890',
       'doctest_fg': '#000000',
       'doctest_in_table_bg': '#dce4ec',
      ...

### _BLUE_COLORS

Value:

      {'body_bg': '#000070',
       'body_fg': '#ffffff',
       'body_link': '#ffffff',
       'body_visited_link': '#d0d0ff',
       'doctest_bg': '#c0e0f8',
       'doctest_border': '1px solid #708890',
       'doctest_fg': '#000000',
       'doctest_in_table_bg': '#c0e0f8',
      ...

### _WHITE

Value:

      '''

      /* Epydoc CSS Stylesheet
       *
       * This stylesheet can be used to customize the appearance of epydoc\'
      s
       * HTML output.
       *
      ...

### _BLUE

Value:

      '''

      /* Epydoc CSS Stylesheet
       *
       * This stylesheet can be used to customize the appearance of epydoc\'
      s
       * HTML output.
       *
      ...

### _GREEN

Value:

      '''

      /* Epydoc CSS Stylesheet
       *
       * This stylesheet can be used to customize the appearance of epydoc\'
      s
       * HTML output.
       *
      ...

### _BLACK

Value:

      '''

      /* Epydoc CSS Stylesheet
       *
       * This stylesheet can be used to customize the appearance of epydoc\'
      s
       * HTML output.
       *
      ...

### _GRAYSCALE

Value:

      '''

      /* Epydoc CSS Stylesheet
       *
       * This stylesheet can be used to customize the appearance of epydoc\'
      s
       * HTML output.
       *
      ...

### STYLESHEETS

A dictionary mapping from stylesheet names to CSS stylesheets and descriptions. A single stylesheet may have multiple names. Currently, the following stylesheets are defined:

- `default`: The default stylesheet (synonym for `white`).
- `white`: Black on white, with blue highlights (similar to javadoc).
- `blue`: Black on steel blue.
- `green`: Black on green.
- `black`: White on black, with blue highlights
- `grayscale`: Grayscale black on white.
- `none`: An empty stylesheet.

Type:
  `dictionary` from `string` to `(string, string)`

Value:

      {'black': ('''

      /* Epydoc CSS Stylesheet
       *
       * This stylesheet can be used to customize the appearance of epydoc\'
      s
       * HTML output.
       *
      ...